[arch-commits] Commit in texlive-langextra/repos (3 files)

Rémy Oudompheng remy at archlinux.org
Sat May 11 21:12:17 UTC 2019


    Date: Saturday, May 11, 2019 @ 21:12:16
  Author: remy
Revision: 352872

archrelease: copy trunk to testing-any

Added:
  texlive-langextra/repos/testing-any/
  texlive-langextra/repos/testing-any/PKGBUILD
    (from rev 352871, texlive-langextra/trunk/PKGBUILD)
  texlive-langextra/repos/testing-any/texlive-langextra.maps
    (from rev 352871, texlive-langextra/trunk/texlive-langextra.maps)

------------------------+
 PKGBUILD               |   57 +++++++++++++++++++++++++++++++++++++++++++++++
 texlive-langextra.maps |   23 ++++++++++++++++++
 2 files changed, 80 insertions(+)

Copied: texlive-langextra/repos/testing-any/PKGBUILD (from rev 352871, texlive-langextra/trunk/PKGBUILD)
===================================================================
--- testing-any/PKGBUILD	                        (rev 0)
+++ testing-any/PKGBUILD	2019-05-11 21:12:16 UTC (rev 352872)
@@ -0,0 +1,57 @@
+# Maintainer: Firmicus <firmicus āt gmx dōt net>
+# Maintainer: Rémy Oudompheng <remy at archlinux.org>
+
+pkgname=texlive-langextra
+pkgver=2019.50911
+_revnr=${pkgver#2019.}
+pkgrel=1
+pkgdesc="TeX Live - Bundle of all extra language support"
+license=('GPL')
+arch=(any)
+conflicts=('texlive-langafrican' 'texlive-langarab' 'texlive-langarabic'
+           'texlive-langarmenian' 'texlive-langcroatian' 'texlive-langhebrew'
+           'texlive-langindic' 'texlive-langmongolian' 'texlive-langtibetan'
+           'texlive-langvietnamese')
+provides=('texlive-langafrican' 'texlive-langarabic' 'texlive-langarmenian' 
+          'texlive-langarmenian' 'texlive-langcroatian' 'texlive-langhebrew'
+          'texlive-langindic' 'texlive-langmongolian' 'texlive-langtibetan'
+          'texlive-langvietnamese')
+depends=('texlive-latexextra')
+groups=('texlive-lang')
+url='http://tug.org/texlive/'
+source=("https://sources.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip" "$pkgname.maps")
+options=('!emptydirs')
+sha256sums=('a2f8ffe4dab9d7ec217c62dbfc27568d04cdc729226b03e938b4900da2f41299'
+            '5f7941ded76d37cf8d6d644edfb206345557905fee38e18ada0b3b98f8a8c0f7')
+
+build() {
+   cd "$srcdir"
+   for p in *.tar.xz; do
+	   bsdtar -xf $p
+   done
+   rm -rf {tlpkg,doc,source} || true
+}
+
+package() {
+   cd "$srcdir"
+   install -m755 -d $pkgdir/var/lib/texmf/arch/installedpkgs
+   sed -i '/^#/d' CONTENTS
+   install -m644 CONTENTS $pkgdir/var/lib/texmf/arch/installedpkgs/${pkgname}_${_revnr}.pkgs
+   install -m644 $pkgname.maps $pkgdir/var/lib/texmf/arch/installedpkgs/
+   install -m755 -d $pkgdir/usr/share
+   wanteddirs=$(for d in *; do test -d $d && [[ $d != texmf* ]] && echo $d; done) || true
+   for dir in $wanteddirs; do
+     find $dir -type d -exec install -d -m755 $pkgdir/usr/share/texmf-dist/'{}' \;
+     find $dir -type f -exec install -m644 '{}' $pkgdir/usr/share/texmf-dist/'{}' \;
+   done
+   if [[ -d texmf-dist ]]; then
+     find texmf-dist -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \;
+     find texmf-dist -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \;
+   fi
+   if [[ -d $pkgdir/usr/share/texmf-dist/scripts ]]; then
+     find $pkgdir/usr/share/texmf-dist/scripts -type f -exec chmod a+x '{}' \;
+   fi
+   #remove parts of ethiop that depend on Omega:
+   rm -rf $pkgdir/usr/share/texmf-dist/fonts/{ofm,ovf,ovp}
+   rm -rf $pkgdir/usr/share/texmf-dist/omega
+}

Copied: texlive-langextra/repos/testing-any/texlive-langextra.maps (from rev 352871, texlive-langextra/trunk/texlive-langextra.maps)
===================================================================
--- testing-any/texlive-langextra.maps	                        (rev 0)
+++ testing-any/texlive-langextra.maps	2019-05-11 21:12:16 UTC (rev 352872)
@@ -0,0 +1,23 @@
+Map arabi.map
+Map arevvn.map
+Map burmese.map
+Map chartervn.map
+Map cjhebrew.map
+Map cmbrightvn.map
+Map concretevn.map
+Map dad.map
+Map grotesqvn.map
+Map nectec.map
+Map nf.map
+Map sipa.map
+Map skt.map
+Map syriac.map
+Map tlwg.map
+Map txttvn.map
+Map urwvn.map
+Map vntopia.map
+MixedMap arabtex.map
+MixedMap dvng.map
+MixedMap ethiop.map
+MixedMap vnrother.map
+MixedMap vnrtext.map


More information about the arch-commits mailing list